javax.xml.bind

## Class UnmarshalException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.xml.bind.JAXBException
      - - javax.xml.bind.UnmarshalException

- All Implemented Interfaces:
    Serializable

      public class UnmarshalException
      extends JAXBException

  This exception indicates that an error has occurred while performing an unmarshal operation that prevents the JAXB Provider from completing the operation.

  The `ValidationEventHandler` can cause this exception to be thrown during the unmarshal operations. See `ValidationEventHandler.handleEvent(ValidationEvent)`.

  Since:
    JAXB1.0
  Author:
    - Ryan Shoemaker, Sun Microsystems, Inc.
  See Also:
    `JAXBException`, `Unmarshaller`, `ValidationEventHandler`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnmarshalException(String message)` Construct an UnmarshalException with the specified detail message.
    `UnmarshalException(String message, String errorCode)` Construct an UnmarshalException with the specified detail message and vendor specific errorCode.
    `UnmarshalException(String message, String errorCode, Throwable exception)` Construct an UnmarshalException with the specified detail message, vendor specific errorCode, and linkedException.
    `UnmarshalException(String message, Throwable exception)` Construct an UnmarshalException with the specified detail message and linkedException.
    `UnmarshalException(Throwable exception)` Construct an UnmarshalException with a linkedException.

  - ### Method Summary

    - ### Methods inherited from class javax.xml.bind.JAXBException

      `getCause, getErrorCode, getLinkedException, printStackTrace, printStackTrace, printStackTrace, setLinkedException, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnmarshalException

          public UnmarshalException(String message)

      Construct an UnmarshalException with the specified detail message. The errorCode and linkedException will default to null.
      Parameters:
        `message` - a description of the exception

    - #### UnmarshalException

          public UnmarshalException(String message,
                            String errorCode)

      Construct an UnmarshalException with the specified detail message and vendor specific errorCode. The linkedException will default to null.
      Parameters:
        `message` - a description of the exception
        `errorCode` - a string specifying the vendor specific error code

    - #### UnmarshalException

          public UnmarshalException(Throwable exception)

      Construct an UnmarshalException with a linkedException. The detail message and vendor specific errorCode will default to null.
      Parameters:
        `exception` - the linked exception

    - #### UnmarshalException

          public UnmarshalException(String message,
                            Throwable exception)

      Construct an UnmarshalException with the specified detail message and linkedException. The errorCode will default to null.
      Parameters:
        `message` - a description of the exception
        `exception` - the linked exception

    - #### UnmarshalException

          public UnmarshalException(String message,
                            String errorCode,
                            Throwable exception)

      Construct an UnmarshalException with the specified detail message, vendor specific errorCode, and linkedException.
      Parameters:
        `message` - a description of the exception
        `errorCode` - a string specifying the vendor specific error code
        `exception` - the linked exception

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.